Subject: Re: bug#25259: gnu tools conformance issues

From: L A Walsh <[email-masked]>
Date: Tue, 27 Dec 2016 10:13:36 -0800

L. A. Walsh wrote:
> In the 8.26 NEWS file, I found this paragraph:
>
>  These programs are intended to conform to POSIX (with BSD and other
>  extensions), like the rest of the GNU system.  By default they conform
>  to older POSIX (1003.2-1992), and therefore support obsolete usages
>  like "head -10" and "chown owner.group file".  This default is
>  overridden at build-time by ... and in turn can be overridden
>  at runtime ...
----
    Delving into this a bit more.  I note that the distro
that I use tries to specify the POSIX version for coreutils
by passing flags to 'configure':

  DEFAULT_POSIX2_VERSION=200112 \
  alternative=199209

They are explicitly configuring coreutils to build to a
specific version as documented in the NEWS file. 

I.e. besides individuals who have asked that the older
standards be supported, some distros are, also, running
configure with specific POSIX versions listed. 

Just a guess, but perhaps they don't want unexpected
behaviors to crop up in the coreutil tools that might
necessitate changing an unknown number of other
tools dependent on the old formats/behaviors(?).